
public class Class461_Sub2 extends Class461 {

   Class321 aClass321_7965 = new Class321();
   Class321 aClass321_7966 = new Class321(Float.NaN, Float.NaN, Float.NaN, Float.NaN);


   public void method7775(Class31 var1, Class328 var2, int var3, int var4, byte var5) {
      Class326 var6 = Class326.method5922(this.aClass35_5731.method915((byte)-119));
      var6.aFloat4036 -= (float)var3;
      var6.aFloat4033 -= (float)var4;
      var6.aFloat4037 *= -1.0F;
      var2.method5998(Class321.method5789(this.aClass321_7965));
      var2.method6004(var6);
      var2.method5996();
      var6.method5948();
   }

   public void method12769(Class321 var1, byte var2) {
      this.aClass321_7966.aFloat4020 = var1.aFloat4020;
      this.aClass321_7966.aFloat4016 = var1.aFloat4016;
      this.aClass321_7966.aFloat4021 = var1.aFloat4021;
      this.aClass321_7966.aFloat4017 = var1.aFloat4017;
      this.aClass321_7965.method5775(this.aClass321_7966);
   }

   public Class326 method7780() {
      Class326 var1 = new Class326(0.0F, 0.0F, 1000.0F);
      var1.method5871(Class321.method5789(this.aClass321_7965));
      var1.aFloat4037 *= -1.0F;
      var1.method5879(this.aClass35_5731.method915((byte)-23));
      return var1;
   }

   public void method7774(float var1) {
      this.aClass321_7965.method5775(this.aClass321_7966);
   }

   public boolean method7770(byte var1) {
      return !Float.isNaN(this.aClass321_7965.aFloat4020);
   }

   public Class321 method12770(int var1) {
      return new Class321(this.aClass321_7965);
   }

   public Class326 method7778() {
      Class326 var1 = new Class326(0.0F, 0.0F, 1000.0F);
      var1.method5871(Class321.method5789(this.aClass321_7965));
      var1.aFloat4037 *= -1.0F;
      var1.method5879(this.aClass35_5731.method915((byte)-3));
      return var1;
   }

   public boolean method7769() {
      return !Float.isNaN(this.aClass321_7965.aFloat4020);
   }

   public Class326 method7779() {
      Class326 var1 = new Class326(0.0F, 0.0F, 1000.0F);
      var1.method5871(Class321.method5789(this.aClass321_7965));
      var1.aFloat4037 *= -1.0F;
      var1.method5879(this.aClass35_5731.method915((byte)-92));
      return var1;
   }

   public void method7768(Class31 var1, Class328 var2, int var3, int var4) {
      Class326 var5 = Class326.method5922(this.aClass35_5731.method915((byte)-124));
      var5.aFloat4036 -= (float)var3;
      var5.aFloat4033 -= (float)var4;
      var5.aFloat4037 *= -1.0F;
      var2.method5998(Class321.method5789(this.aClass321_7965));
      var2.method6004(var5);
      var2.method5996();
      var5.method5948();
   }

   public void method7773(RS2Buffer var1, int var2) {
      this.aClass321_7966.method5812(var1);
   }

   public void method7777(Class31 var1, Class328 var2, int var3, int var4) {
      Class326 var5 = Class326.method5922(this.aClass35_5731.method915((byte)-10));
      var5.aFloat4036 -= (float)var3;
      var5.aFloat4033 -= (float)var4;
      var5.aFloat4037 *= -1.0F;
      var2.method5998(Class321.method5789(this.aClass321_7965));
      var2.method6004(var5);
      var2.method5996();
      var5.method5948();
   }

   public void method7772(float var1, byte var2) {
      this.aClass321_7965.method5775(this.aClass321_7966);
   }

   public Class461_Sub2(Class35 var1) {
      super(var1);
   }

   public Class326 method7771(int var1) {
      Class326 var2 = new Class326(0.0F, 0.0F, 1000.0F);
      var2.method5871(Class321.method5789(this.aClass321_7965));
      var2.aFloat4037 *= -1.0F;
      var2.method5879(this.aClass35_5731.method915((byte)-27));
      return var2;
   }

   public Class326 method7776() {
      Class326 var1 = new Class326(0.0F, 0.0F, 1000.0F);
      var1.method5871(Class321.method5789(this.aClass321_7965));
      var1.aFloat4037 *= -1.0F;
      var1.method5879(this.aClass35_5731.method915((byte)-46));
      return var1;
   }

   public void method7781(RS2Buffer var1) {
      this.aClass321_7966.method5812(var1);
   }

   public void method12771(Class321 var1) {
      this.aClass321_7966.aFloat4020 = var1.aFloat4020;
      this.aClass321_7966.aFloat4016 = var1.aFloat4016;
      this.aClass321_7966.aFloat4021 = var1.aFloat4021;
      this.aClass321_7966.aFloat4017 = var1.aFloat4017;
      this.aClass321_7965.method5775(this.aClass321_7966);
   }

   public void method12772(Class321 var1) {
      this.aClass321_7966.aFloat4020 = var1.aFloat4020;
      this.aClass321_7966.aFloat4016 = var1.aFloat4016;
      this.aClass321_7966.aFloat4021 = var1.aFloat4021;
      this.aClass321_7966.aFloat4017 = var1.aFloat4017;
      this.aClass321_7965.method5775(this.aClass321_7966);
   }

   public void method12773(Class321 var1) {
      this.aClass321_7966.aFloat4020 = var1.aFloat4020;
      this.aClass321_7966.aFloat4016 = var1.aFloat4016;
      this.aClass321_7966.aFloat4021 = var1.aFloat4021;
      this.aClass321_7966.aFloat4017 = var1.aFloat4017;
      this.aClass321_7965.method5775(this.aClass321_7966);
   }

   public Class321 method12774() {
      return new Class321(this.aClass321_7965);
   }

   public Class321 method12775() {
      return new Class321(this.aClass321_7965);
   }

   public Class321 method12776() {
      return new Class321(this.aClass321_7965);
   }

   static boolean method12777(Class551 var0, byte var1) {
      return Class153.method2772(var0, (Class225_Sub8)null, -13255150);
   }
}
